ClientService_SearchClients

POST /clients/search

Operation id: ClientService_SearchClients

Tags: ClientService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
clientNamestringNo
primarySitestringNo
tokenTtlUnitstringNo- FOREVER: Default Value
specificFilterarrayNo
statusstringNo
pageSizeinteger (int32)No
pageTokenstringNo
sortFieldstringNo
sortTypestringNo
partialSearchbooleanNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "clientName": {
      "type": "string"
    },
    "primarySite": {
      "type": "string"
    },
    "tokenTtlUnit": {
      "type": "string",
      "description": "- FOREVER: Default Value",
      "enum": [
        "FOREVER",
        "HOUR",
        "DAY",
        "WEEK",
        "MONTH"
      ],
      "default": "FOREVER"
    },
    "specificFilter": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "domain": {
            "type": "string",
            "description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
          },
          "scope": {
            "type": "string",
            "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
          },
          "roleId": {
            "type": "string",
            "description": "The role ID. Required: true."
          }
        }
      }
    },
    "status": {
      "type": "string",
      "enum": [
        "NONE",
        "ACTIVE",
        "INACTIVE"
      ],
      "default": "NONE"
    },
    "pageSize": {
      "type": "integer",
      "format": "int32"
    },
    "pageToken": {
      "type": "string"
    },
    "sortField": {
      "type": "string"
    },
    "sortType": {
      "type": "string",
      "enum": [
        "NONE",
        "ASC",
        "DESC"
      ],
      "default": "NONE"
    },
    "partialSearch": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tokensMetadataarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "tokensMetadata": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "clientName": {
            "type": "string"
          },
          "clientId": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "createTime": {
            "type": "string",
            "format": "date-time"
          },
          "lastUpdate": {
            "type": "string",
            "format": "date-time"
          },
          "expirationTime": {
            "type": "string",
            "format": "date-time"
          },
          "firstName": {
            "type": "string"
          },
          "lastName": {
            "type": "string"
          },
          "secret": {
            "type": "string"
          },
          "clientDescription": {
            "type": "string"
          },
          "tokenTtl": {
            "type": "string",
            "format": "int64"
          },
          "tokenTtlUnit": {
            "type": "string"
          },
          "primarySite": {
            "type": "string"
          },
          "assignedRoles": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "status": {
            "type": "string",
            "enum": [
              "NONE",
              "ACTIVE",
              "INACTIVE"
            ],
            "default": "NONE"
          },
          "clientTtl": {
            "type": "string",
            "format": "int64"
          },
          "clientTtlUnit": {
            "type": "string"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}